# DXGfxLib.IPositionConstraint Interface Reference

This interface can be implemented by each class that is going to impose a constraint on a node position. At the moment this interface is implemented by the scene itself. Each scene node has a unique field to keep a reference to an instance of an object implementing this. If it is desired to add other objects that implement that interface and to actually use them you will most probably need to derive your own class from Scene or OutDoorScene and managed the calls yourself. More...

Inherited by DXGfxLib.OutDoorScene, and DXGfxLib.OutDoorScene.

List of all members.

## Public Member Functions
void | ValidateOrMove (ref SceneNode node)
| An implementation of this method should move the scene node if it is in an incorrect location or has an incorrect orientation (incorrect from the perspective of the class implementing this interface).
Matrix | ValidateOrMove (Vector3 position, BBox localBBox)
| This is a variation of validateOrMove, it will return a transformation matrix which relocate the aabox to an acceptable position!
void | ValidateCameraOrMove (ref SceneNode camera, ref SceneNode subject)
| Same as above but for a camera. Constraint for a camera might be different than for another scene node.
void | ValidateOrMove (ref SceneNode node)
| An implementation of this method should move the scene node if it is in an incorrect location or has an incorrect orientation (incorrect from the perspective of the class implementing this interface).
Matrix | ValidateOrMove (Vector3 position, BBox localBBox)
| This is a variation of validateOrMove, it will return a transformation matrix which relocate the aabox to an acceptable position!
void | ValidateCameraOrMove (ref SceneNode camera, ref SceneNode subject)
| Same as above but for a camera. Constraint for a camera might be different than for another scene node.

## Detailed Description

This interface can be implemented by each class that is going to impose a constraint on a node position. At the moment this interface is implemented by the scene itself. Each scene node has a unique field to keep a reference to an instance of an object implementing this. If it is desired to add other objects that implement that interface and to actually use them you will most probably need to derive your own class from Scene or OutDoorScene and managed the calls yourself.

Definition at line 31 of file IPositionConstraint.cs.

## Member Function Documentation

void DXGfxLib.IPositionConstraint.ValidateCameraOrMove | ( | ref SceneNode | camera,
|  | ref SceneNode | subject |
| ) |  |  |

Same as above but for a camera. Constraint for a camera might be different than for another scene node.

Parameters:

  | camera |
  | subject |

Implemented in DXGfxLib.OutDoorScene, and DXGfxLib.OutDoorScene.

void DXGfxLib.IPositionConstraint.ValidateCameraOrMove | ( | ref SceneNode | camera,
|  | ref SceneNode | subject |
| ) |  |  |

Same as above but for a camera. Constraint for a camera might be different than for another scene node.

Parameters:

  | camera |
  | subject |

Implemented in DXGfxLib.OutDoorScene, and DXGfxLib.OutDoorScene.

Here is the caller graph for this function:

Matrix DXGfxLib.IPositionConstraint.ValidateOrMove | ( | Vector3 | position,
|  | BBox | localBBox |
| ) |  |  |

This is a variation of validateOrMove, it will return a transformation matrix which relocate the aabox to an acceptable position!

Parameters:

  | position | desired position for our object.
  | localBBox | a local bounding bow emcompassing the geometry for which we want to check if a new position is acceptable or relocate it!

Returns:

Implemented in DXGfxLib.OutDoorScene, and DXGfxLib.OutDoorScene.

void DXGfxLib.IPositionConstraint.ValidateOrMove | ( | ref SceneNode | node | ) |

An implementation of this method should move the scene node if it is in an incorrect location or has an incorrect orientation (incorrect from the perspective of the class implementing this interface).

Parameters:

  | node | the node to be repositioned or reoriented if needed.

Implemented in DXGfxLib.OutDoorScene, and DXGfxLib.OutDoorScene.

Matrix DXGfxLib.IPositionConstraint.ValidateOrMove | ( | Vector3 | position,
|  | BBox | localBBox |
| ) |  |  |

This is a variation of validateOrMove, it will return a transformation matrix which relocate the aabox to an acceptable position!

Parameters:

  | position | desired position for our object.
  | localBBox | a local bounding bow emcompassing the geometry for which we want to check if a new position is acceptable or relocate it!

Returns:

Implemented in DXGfxLib.OutDoorScene, and DXGfxLib.OutDoorScene.

void DXGfxLib.IPositionConstraint.ValidateOrMove | ( | ref SceneNode | node | ) |

An implementation of this method should move the scene node if it is in an incorrect location or has an incorrect orientation (incorrect from the perspective of the class implementing this interface).

Parameters:

  | node | the node to be repositioned or reoriented if needed.

Implemented in DXGfxLib.OutDoorScene, and DXGfxLib.OutDoorScene.

Here is the caller graph for this function:

The documentation for this interface was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/IPositionConstraint.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/IPositionConstraint.cs